Bug 548434 - [RFE] journal should contain basic HW profile of a guest
[RFE] journal should contain basic HW profile of a guest
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Hutař
: Patch
Depends On: bl-journal-overhaul
Blocks: 893054
  Show dependency treegraph
 
Reported: 2009-12-17 08:19 EST by Jan Hutař
Modified: 2013-06-27 12:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 893054 (view as bug list)
Environment:
Last Closed: 2013-06-27 12:33:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
propposed patch (3.76 KB, patch)
2010-03-15 07:47 EDT, Jan Hutař
no flags Details | Diff
New version of the patch including option for journalling.py and tests (7.65 KB, patch)
2010-07-27 04:35 EDT, Jan Hutař
no flags Details | Diff
Option for journalling.py and tests to add HW info to the journal (7.65 KB, patch)
2011-07-18 07:57 EDT, Jan Hutař
no flags Details | Diff

  None (edit)
Description Jan Hutař 2009-12-17 08:19:49 EST
Description of problem:
journal should contain basic HW profile of a guest. Maybe we can also print something in the rlJournalPrintText.


Version-Release number of selected component (if applicable):
beaker-lib-0.4.64-0.el5.noarch


Expected results:
I'm going to use:
CPU info:
  # dmidecode --type 4
RAM info:
  # dmidecode --type 17
HDD info:
  # df --portability
  # swapon -s   # maybe
Other possibility is to use `lshal` which depends on HAL.

Any comments welcome.
Comment 1 Jan Hutař 2010-03-15 03:50:52 EDT
Hmm, no, will use something like this:

CPU info:
  # grep '^model name' /proc/cpuinfo
RAM info:
  # free -m | grep '^Mem' | sed 's/^Mem: \+\([0-9]\+\) \+.*/\1/'
HDD info (will summarize this):
  # df -k -P --local --exclude-type=tmpfs | grep '^/'
Comment 2 Jan Hutař 2010-03-15 07:47:45 EDT
Created attachment 400191 [details]
propposed patch
Comment 3 Jan Hutař 2010-07-27 04:35:16 EDT
Created attachment 434624 [details]
New version of the patch including option for journalling.py and tests
Comment 4 Petr Muller 2011-03-02 10:39:43 EST
This is still not commited, I believe?
Comment 5 Jan Hutař 2011-03-04 08:26:33 EST
Yep, I haven't commited it.
Comment 6 Petr Muller 2011-04-29 10:29:04 EDT
I've tried to apply this, but it won't apply anymore. Removing the 'Patch' keyword. I'll try to include this in the journal overhaul effort.
Comment 7 Jan Hutař 2011-07-18 07:57:45 EDT
Created attachment 513602 [details]
Option for journalling.py and tests to add HW info to the journal
Comment 8 Jan Hutař 2011-07-18 07:58:17 EDT
Re-created against current git.
Comment 9 Petr Muller 2011-07-22 10:58:00 EDT
I've tested this a bit, seems good. OK to commit.
Comment 13 Petr Muller 2013-01-08 09:24:44 EST
beakerlib-1.6-1 is already in fedora

Note You need to log in before you can comment on or make changes to this bug.